import java.util.Map;
import java.util.HashMap;
import java.util.ArrayList;
import java.util.List;
import org.antlr.stringtemplate.*;
import org.antlr.stringtemplate.language.*;

public class sttest {
    public static void main(String[] args) {
        StringTemplateGroup group =  new StringTemplateGroup("st-test"
                , ".\\st"
                , DefaultTemplateLexer.class);
        StringTemplate st = group.lookupTemplate("contact_list");
        // a simple attribute
        st.setAttribute("simple_attribute", "Hello StringTemplate!");
        // an object with properties as an attribute
        Contact c = new Contact("Richie", "Richie-test@gmail.com", 100);    
        st.setAttribute("contact", c);
        // collections test for Map
        Map<String, Integer> map = new HashMap<String, Integer>();
        map.put("key1", 111);
        map.put("key2", 222);
        map.put("key3", 333);
        st.setAttribute("items_hashtable", map);
        // collections test for Array
        int[] array = new int[3];
        array[0]=1999;
        array[1]=2888;
        array[2]=3777;
        st.setAttribute("items_array", array);
        // collections test for List
        List<Contact> list = new ArrayList<Contact>();
        list.add(new Contact("Jacky Pan", "JackyPan-test@gmail.com", 1608));
        list.add(new Contact("RicCC", "RicCC-test@gmail.com", 180));
        list.add(new Contact("Richie", "Richie-test@gmail.com", 682));
        st.setAttribute("items_list", list);
        
        System.out.print(st.toString());
    }
}
